Skip to main content
POST
Search translation memory for segment by job

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Project UID

jobUid
string
required

Job UID

Body

application/json

Segment search request

segment
string
required
contextKey
string

Context key for context-based TM matching, used only when the context type is segment key

maxSegments
integer<int32>

Maximum number of full-match results to return

Required range: 0 <= x <= 5
maxSubSegments
integer<int32>

Maximum number of subsegment-match results to return

Required range: 0 <= x <= 5
nextSegment
string

Segment following the query segment, used for context-based matching when the context type is previous and next segment, and also for segment key and no context types when previous or next segment TM matching is enabled

previousSegment
string

Segment preceding the query segment, used for context-based matching when the context type is previous and next segment, and also for segment key and no context types when previous or next segment TM matching is enabled

scoreThreshold
number<double>
Required range: 0 < x < 1.01
tagMetadata
object[]

Tag metadata for tag-sensitive matching; each entry describes the content behind one inline tag in the query segment

workflowLevel
integer<int32>
Required range: 1 <= x <= 15

Response

OK

searchResults
object[]

Translation memory search results

warnings
string[]

Warnings about request fields that were ignored because of the job's context type (e.g. contextKey sent for a job using previous and next segment context). Omitted when empty.